@import 'variables.scss';

::ng-deep .group-search-well-name {
  width: 100%;
  height: 100%;
  position: relative;

  .cover-input {
    width: 100%;
    height: 100%;
    padding-right: 50px;
    position: relative;

    input {
      width: 100%;
      height: 100%;
      font-size: 14px;
      font-weight: bold;
      color: $gray-darker;
      border: none;
      outline: none;
      background: transparent;

      &::-webkit-input-placeholder {
        font-weight: normal;
      }

      &::-moz-placeholder {
        font-weight: normal;
      }

      &:-ms-input-placeholder {
        font-weight: normal;
      }
    }

    mat-form-field {
      width: 100%;
      height: 100%;
      line-height: 18px;

      .mat-form-field-wrapper {
        height: 100%;
        padding-bottom: 0;

        .mat-form-field-flex {
          height: 100%;

          .mat-form-field-infix {
            height: 100%;
            display: flex;
            align-items: center;
            background-color: transparent;
            border: none;
            border-radius: 0;
            box-shadow: none;
            padding: 0 !important;
          }
        }
      }

      .mat-form-field-underline {
        display: none;
      }
    }

    .click-search {
      display: block;
      width: 24px;
      height: 24px;
      position: absolute;
      top: 16px;
      right: 15px;
    }
  }

  .box-list-well-name {
    width: calc(100% + 116px);
    height: auto;
    max-height: 201px;
    border-radius: 0 0 5px 5px;
    overflow-y: auto;
    box-shadow: 0px 0px 5px 0 rgba(0, 0, 0, 0.1);
    position: absolute;
    top: 55px;
    right: 0;
    z-index: 100;

    .list-search {
      display: block;
      width: 100%;
      padding: 0;
      margin: 0;
      border-radius: 0 0 5px 5px;
      background: $white-text-color;

      li {
        display: flex;
        align-items: center;
        width: 100%;
        height: 45px;

        a {
          display: flex;
          align-items: center;
          width: 100%;
          height: 100%;
          padding-left: 24px;
          font-size: 13px;
          color: $gray-darker;

          ::ng-deep.highlight {
            font-weight: bold;
          }
        }
        
        &.item-no-options {
          a {
            cursor: default;
            pointer-events: none;
            opacity: 0.5;
          }
          &:hover,
          &.active {
            background: transparent;
          }
        }

        &:hover,
        &.active {
          background: #F2F8FD;
        }
      }
    }
  }
}